diff --git a/Libvirt.cs b/Libvirt.cs
index 0a18328..dcba9b3 100644
--- a/Libvirt.cs
+++ b/Libvirt.cs
@@ -586,10 +598,10 @@ namespace LibvirtBindings
         /// <returns>
         /// 0 in case of success and -1 in case of failure.
         /// </returns>
-        [DllImport("libvirt-0.dll")]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
         public static extern int virDomainGetInfo(IntPtr domain, [Out] virDomainInfo info);
         /// <summary>
-        /// Retrieve the maximum amount of physical memory allocated to a domain.
+        /// Retrieve the maximum amount of physical memory allocated to a domain. 
         /// If domain is NULL, then this get the amount of memory reserved to Domain0 i.e. the domain where the application runs.
         /// </summary>
         /// <param name="domain">
@@ -598,11 +610,11 @@ namespace LibvirtBindings
         /// <returns>
         /// the memory size in kilobytes or 0 in case of error.
         /// </returns>
-        [DllImport("libvirt-0.dll")]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
         public static extern ulong virDomainGetMaxMemory(IntPtr domain);
         /// <summary>
-        /// Provides the maximum number of virtual CPUs supported for the guest VM.
-        /// If the guest is inactive, this is basically the same as virConnectGetMaxVcpus.
+        /// Provides the maximum number of virtual CPUs supported for the guest VM. 
+        /// If the guest is inactive, this is basically the same as virConnectGetMaxVcpus. 
         /// If the guest is running this will reflect the maximum number of virtual CPUs the guest was booted with.
         /// </summary>
         /// <param name="domain">
@@ -611,7 +623,7 @@ namespace LibvirtBindings
         /// <returns>
         /// The maximum of virtual CPU or -1 in case of error.
         /// </returns>
-        [DllImport("libvirt-0.dll")]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
         public static extern int virDomainGetMaxVcpus(IntPtr domain);
         /// <summary>
         /// Get the public name for that domain.
@@ -622,8 +634,8 @@ namespace LibvirtBindings
         /// <returns>
         /// Pointer to the name or NULL, the string need not be deallocated its lifetime will be the same as the domain object.
         /// </returns>
-        [DllImport("libvirt-0.dll")]
-        [return: MarshalAs(UnmanagedType.AnsiBStr)]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
+        [return: MarshalAs(UnmanagedType.CustomMarshaler, MarshalTypeRef = typeof(StringWithoutNativeCleanUpMarshaler))]
         public static extern string virDomainGetName(IntPtr domain);
         /// <summary>
         /// Get the type of domain operation system.
@@ -634,8 +646,8 @@ namespace LibvirtBindings
         /// <returns>
         /// The new string or NULL in case of error, the string must be freed by the caller.
         /// </returns>
-        [DllImport("libvirt-0.dll")]
-        [return: MarshalAs(UnmanagedType.AnsiBStr)]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
+        [return: MarshalAs(UnmanagedType.CustomMarshaler, MarshalTypeRef = typeof(StringWithoutNativeCleanUpMarshaler))]
         public static extern string virDomainGetOSType(IntPtr domain);
 
         // TODO virDomainGetSchedulerParameters
@@ -656,7 +668,7 @@ namespace LibvirtBindings
         /// <returns>
         /// A <see cref="System.Int32"/>-1 in case of error, 0 in case of success.
         /// </returns>
-        [DllImport("libvirt-0.dll")]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
         public static extern int virDomainGetUUID(IntPtr domain, [Out] char[] uuid);
         /// <summary>
         /// Get the UUID for a domain as string. For more information about UUID see RFC4122.
@@ -670,7 +682,7 @@ namespace LibvirtBindings
         /// <returns>
         /// -1 in case of error, 0 in case of success.
         /// </returns>
-        [DllImport("libvirt-0.dll")]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
         public static extern int virDomainGetUUIDString(IntPtr domain, [Out] IntPtr buf);
 
         // TODO virDomainGetVcpus
@@ -687,14 +699,14 @@ namespace LibvirtBindings
         /// <returns>
         /// A 0 terminated UTF-8 encoded XML instance, or NULL in case of error. the caller must free() the returned value.
         /// </returns>
-        [DllImport("libvirt-0.dll")]
-        [return: MarshalAs(UnmanagedType.AnsiBStr)]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
+        [return: MarshalAs(UnmanagedType.CustomMarshaler, MarshalTypeRef = typeof(StringWithoutNativeCleanUpMarshaler))]
         public static extern string virDomainGetXMLDesc(IntPtr domain, int flags);
         /// <summary>
-        /// This function returns network interface stats for interfaces attached to the domain.
-        /// The path parameter is the name of the network interface. Domains may have more than one network interface.
-        /// To get stats for each you should make multiple calls to this function.
-        /// Individual fields within the stats structure may be returned as -1,
+        /// This function returns network interface stats for interfaces attached to the domain. 
+        /// The path parameter is the name of the network interface. Domains may have more than one network interface. 
+        /// To get stats for each you should make multiple calls to this function. 
+        /// Individual fields within the stats structure may be returned as -1, 
         /// which indicates that the hypervisor does not support that particular statistic.
         /// </summary>
         /// <param name="dom">
@@ -712,7 +724,7 @@ namespace LibvirtBindings
         /// <returns>
         /// 0 in case of success or -1 in case of failure.
         /// </returns>
-        [DllImport("libvirt-0.dll")]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
         public static extern int virDomainInterfaceStats(IntPtr dom, string path, virDomainInterfaceStatsStruct stats, int size);
         /// <summary>
         /// Determine if the domain is currently running.
@@ -723,7 +735,7 @@ namespace LibvirtBindings
         /// <returns>
         /// 1 if running, 0 if inactive, -1 on error.
         /// </returns>
-        [DllImport("libvirt-0.dll")]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
         public static extern int virDomainIsActive(IntPtr dom);
 
         /// <summary>
@@ -735,12 +747,12 @@ namespace LibvirtBindings
         /// <returns>
         /// 1 if persistent, 0 if transient, -1 on error.
         /// </returns>
-        [DllImport("libvirt-0.dll")]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
         public static extern int virDomainIsPersistent(IntPtr dom);
 
         /// <summary>
         /// Try to find a domain based on the hypervisor ID number.
-        /// Note that this won't work for inactive domains which have an ID of -1,
+        /// Note that this won't work for inactive domains which have an ID of -1, 
         /// in that case a lookup based on the Name or UUId need to be done instead.
         /// </summary>
         /// <param name="conn">
@@ -752,7 +764,7 @@ namespace LibvirtBindings
         /// <returns>
         /// A new domain object or NULL in case of failure. If the domain cannot be found, then VIR_ERR_NO_DOMAIN error is raised.
         /// </returns>
-        [DllImport("libvirt-0.dll")]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
         public static extern IntPtr virDomainLookupByID(IntPtr conn, int id);
 
         /// <summary>
@@ -767,7 +779,7 @@ namespace LibvirtBindings
         /// <returns>
         /// A new domain object or NULL in case of failure. If the domain cannot be found, then VIR_ERR_NO_DOMAIN error is raised.
         /// </returns>
-        [DllImport("libvirt-0.dll")]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
         public static extern IntPtr virDomainLookupByName(IntPtr conn, string name);
 
         /// <summary>
@@ -782,7 +794,7 @@ namespace LibvirtBindings
         /// <returns>
         /// A new domain object or NULL in case of failure. If the domain cannot be found, then VIR_ERR_NO_DOMAIN error is raised.
         /// </returns>
-        [DllImport("libvirt-0.dll")]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
         public static extern IntPtr virDomainLookupByUUID(IntPtr conn, char[] uuid);
 
         /// <summary>
@@ -797,7 +809,7 @@ namespace LibvirtBindings
         /// <returns>
         /// A new domain object or NULL in case of failure. If the domain cannot be found, then VIR_ERR_NO_DOMAIN error is raised.
         /// </returns>
-        [DllImport("libvirt-0.dll")]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
         public static extern IntPtr virDomainLookupByUUIDString(IntPtr conn, string uuidstr);
 
         // TODO virDomainMemoryPeek
@@ -811,7 +823,7 @@ namespace LibvirtBindings
         // TODO virDomainMemoryStats
 
         /// <summary>
-        /// Reboot a domain, the domain object is still usable there after but the domain OS is being stopped for a restart.
+        /// Reboot a domain, the domain object is still usable there after but the domain OS is being stopped for a restart. 
         /// Note that the guest OS may ignore the request.
         /// </summary>
         /// <param name="domain">
@@ -823,15 +835,15 @@ namespace LibvirtBindings
         /// <returns>
         /// 0 in case of success and -1 in case of failure.
         /// </returns>
-        [DllImport("libvirt-0.dll")]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
         public static extern int virDomainReboot(IntPtr domain, uint flags);
 
         /// <summary>
-        /// Increment the reference count on the domain. For each additional call to this method,
-        /// there shall be a corresponding call to virDomainFree to release the reference count,
-        /// once the caller no longer needs the reference to this object.
-        /// This method is typically useful for applications where multiple threads are using a connection,
-        /// and it is required that the connection remain open until all threads have finished using it. ie,
+        /// Increment the reference count on the domain. For each additional call to this method, 
+        /// there shall be a corresponding call to virDomainFree to release the reference count, 
+        /// once the caller no longer needs the reference to this object. 
+        /// This method is typically useful for applications where multiple threads are using a connection, 
+        /// and it is required that the connection remain open until all threads have finished using it. ie, 
         /// each new thread using a domain would increment the reference count.
         /// </summary>
         /// <param name="domain">
@@ -840,7 +852,7 @@ namespace LibvirtBindings
         /// <returns>
         /// 0 in case of success and -1 in case of failure.
         /// </returns>
-        [DllImport("libvirt-0.dll")]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
         public static extern int virDomainRef(IntPtr domain);
 
         /// <summary>
@@ -855,11 +867,11 @@ namespace LibvirtBindings
         /// <returns>
         /// 0 in case of success and -1 in case of failure.
         /// </returns>
-        [DllImport("libvirt-0.dll")]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
         public static extern int virDomainRestore(IntPtr conn, string from);
 
         /// <summary>
-        /// Resume a suspended domain, the process is restarted from the state where it was frozen by calling virSuspendDomain().
+        /// Resume a suspended domain, the process is restarted from the state where it was frozen by calling virSuspendDomain(). 
         /// This function may requires privileged access
         /// </summary>
         /// <param name="domain">
@@ -868,11 +880,11 @@ namespace LibvirtBindings
         /// <returns>
         /// 0 in case of success and -1 in case of failure.
         /// </returns>
-        [DllImport("libvirt-0.dll")]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
         public static extern int virDomainResume(IntPtr domain);
 
         /// <summary>
-        /// This method will suspend a domain and save its memory contents to a file on disk. After the call, if successful,
+        /// This method will suspend a domain and save its memory contents to a file on disk. After the call, if successful, 
         /// the domain is not listed as running anymore (this may be a problem). Use virDomainRestore() to restore a domain after saving.
         /// </summary>
         /// <param name="domain">
@@ -884,7 +896,7 @@ namespace LibvirtBindings
         /// <returns>
         /// 0 in case of success and -1 in case of failure.
         /// </returns>
-        [DllImport("libvirt-0.dll")]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
         public static extern int virDomainSave(IntPtr domain, string to);
 
         /// <summary>
@@ -899,12 +911,12 @@ namespace LibvirtBindings
         /// <returns>
         /// -1 in case of error, 0 in case of success.
         /// </returns>
-        [DllImport("libvirt-0.dll")]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
         public static extern int virDomainSetAutostart(IntPtr domain, int autostart);
 
         /// <summary>
-        /// Dynamically change the maximum amount of physical memory allocated to a domain.
-        /// If domain is NULL, then this change the amount of memory reserved to Domain0 i.e.
+        /// Dynamically change the maximum amount of physical memory allocated to a domain. 
+        /// If domain is NULL, then this change the amount of memory reserved to Domain0 i.e. 
         /// the domain where the application runs. This function requires privileged access to the hypervisor.
         /// </summary>
         /// <param name="domain">
@@ -916,12 +928,12 @@ namespace LibvirtBindings
         /// <returns>
         /// 0 in case of success and -1 in case of failure.
         /// </returns>
-        [DllImport("libvirt-0.dll")]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
         public static extern int virDomainSetMaxMemory(IntPtr domain, ulong memory);
 
         /// <summary>
-        /// Dynamically change the target amount of physical memory allocated to a domain.
-        /// If domain is NULL, then this change the amount of memory reserved to Domain0 i.e.
+        /// Dynamically change the target amount of physical memory allocated to a domain. 
+        /// If domain is NULL, then this change the amount of memory reserved to Domain0 i.e. 
         /// the domain where the application runs. This function may requires privileged access to the hypervisor.
         /// </summary>
         /// <param name="domain">
@@ -933,14 +945,14 @@ namespace LibvirtBindings
         /// <returns>
         /// 0 in case of success and -1 in case of failure.
         /// </returns>
-        [DllImport("libvirt-0.dll")]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
         public static extern int virDomainSetMemory(IntPtr domain, ulong memory);
 
         // TODO virDomainSetSchedulerParameters
 
         /// <summary>
-        /// Dynamically change the number of virtual CPUs used by the domain.
-        /// Note that this call may fail if the underlying virtualization hypervisor does not support it
+        /// Dynamically change the number of virtual CPUs used by the domain. 
+        /// Note that this call may fail if the underlying virtualization hypervisor does not support it 
         /// or if growing the number is arbitrary limited. This function requires privileged access to the hypervisor.
         /// </summary>
         /// <param name="domain">
@@ -952,12 +964,12 @@ namespace LibvirtBindings
         /// <returns>
         /// 0 in case of success, -1 in case of failure.
         /// </returns>
-        [DllImport("libvirt-0.dll")]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
         public static extern int virDomainSetVcpus(IntPtr domain, uint nvcpus);
 
         /// <summary>
-        /// Shutdown a domain, the domain object is still usable there after but the domain OS is being stopped.
-        /// Note that the guest OS may ignore the request.
+        /// Shutdown a domain, the domain object is still usable there after but the domain OS is being stopped. 
+        /// Note that the guest OS may ignore the request. 
         /// </summary>
         /// <param name="domain">
         /// A <see cref="IntPtr"/>domain object.
@@ -965,12 +977,12 @@ namespace LibvirtBindings
         /// <returns>
         /// 0 in case of success and -1 in case of failure.
         /// </returns>
-        [DllImport("libvirt-0.dll")]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
         public static extern int virDomainShutdown(IntPtr domain);
 
         /// <summary>
-        /// Suspends an active domain, the process is frozen without further access to CPU resources and I/O
-        /// but the memory used by the domain at the hypervisor level will stay allocated.
+        /// Suspends an active domain, the process is frozen without further access to CPU resources and I/O 
+        /// but the memory used by the domain at the hypervisor level will stay allocated. 
         /// Use virDomainResume() to reactivate the domain. This function may requires privileged access.
         /// </summary>
         /// <param name="domain">
@@ -979,7 +991,7 @@ namespace LibvirtBindings
         /// <returns>
         /// 0 in case of success and -1 in case of failure.
         /// </returns>
-        [DllImport("libvirt-0.dll")]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
         public static extern int virDomainSuspend(IntPtr domain);
 
         /// <summary>
@@ -991,7 +1003,7 @@ namespace LibvirtBindings
         /// <returns>
         /// 0 in case of success, -1 in case of error.
         /// </returns>
-        [DllImport("libvirt-0.dll")]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
         public static extern int virDomainUndefine(IntPtr domain);
         #endregion
 
@@ -1006,7 +1018,7 @@ namespace LibvirtBindings
         ///<param name="addTimeout">the virEventAddTimeoutFunc which will be called (a delegate)</param>
         ///<param name="updateTimeout">the virEventUpdateTimeoutFunc which will be called (a delegate)</param>
         ///<param name="removeTimeout">the virEventRemoveTimeoutFunc which will be called (a delegate)</param>
-        [DllImport("libvirt-0.dll")]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
         public static extern void virEventRegisterImpl([MarshalAs(UnmanagedType.FunctionPtr)]virEventAddHandleFunc addHandle,
                                                        [MarshalAs(UnmanagedType.FunctionPtr)]virEventUpdateHandleFunc updateHandle,
                                                        [MarshalAs(UnmanagedType.FunctionPtr)]virEventRemoveHandleFunc removeHandle,
@@ -1017,8 +1029,8 @@ namespace LibvirtBindings
 
         #region Library
         /// <summary>
-        /// Provides two information back, @libVer is the version of the library while @typeVer will be the version of the hypervisor
-        /// type @type against which the library was compiled. If @type is NULL, "Xen" is assumed,
+        /// Provides two information back, @libVer is the version of the library while @typeVer will be the version of the hypervisor 
+        /// type @type against which the library was compiled. If @type is NULL, "Xen" is assumed, 
         /// if @type is unknown or not available, an error code will be returned and @typeVer will be 0.
         /// </summary>
         /// <param name="libVer">
@@ -1033,16 +1045,16 @@ namespace LibvirtBindings
         /// <returns>
         /// -1 in case of failure, 0 otherwise, and values for @libVer and @typeVer have the format major * 1,000,000 + minor * 1,000 + release.
         /// </returns>
-        [DllImport("libvirt-0.dll")]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
         public static extern int virGetVersion([Out] out ulong libVer, [In] string type, [Out] out ulong typeVer);
         /// <summary>
-        /// Initialize the library. It's better to call this routine at startup in multithreaded applications to avoid
+        /// Initialize the library. It's better to call this routine at startup in multithreaded applications to avoid 
         /// potential race when initializing the library.
         /// </summary>
         /// <returns>
         /// 0 in case of success, -1 in case of error.
         /// </returns>
-        [DllImport("libvirt-0.dll")]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
         public static extern int virInitialize();
         #endregion
 
@@ -1075,11 +1087,11 @@ namespace LibvirtBindings
         // TODO virInterfaceUndefine
 
         /// <summary>
-        /// Increment the reference count on the network. For each additional call to this method,
-        /// there shall be a corresponding call to virNetworkFree to release the reference count,
-        /// once the caller no longer needs the reference to this object.
-        /// This method is typically useful for applications where multiple threads are using a connection,
-        /// and it is required that the connection remain open until all threads have finished using it. ie,
+        /// Increment the reference count on the network. For each additional call to this method, 
+        /// there shall be a corresponding call to virNetworkFree to release the reference count, 
+        /// once the caller no longer needs the reference to this object. 
+        /// This method is typically useful for applications where multiple threads are using a connection, 
+        /// and it is required that the connection remain open until all threads have finished using it. ie, 
         /// each new thread using a network would increment the reference count.
         /// </summary>
         /// <param name="network">
@@ -1088,7 +1100,7 @@ namespace LibvirtBindings
         /// <returns>
         /// 0 in case of success, -1 in case of failure.
         /// </returns>
-        [DllImport("libvirt-0.dll")]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
         public static extern int virNetworkRef(IntPtr network);
 
         // TODO virNetworkSetAutostart
@@ -1116,8 +1128,8 @@ namespace LibvirtBindings
         /// <param name="dev">pointer to the node device</param>
         /// <param name="flags">flags for XML generation (unused, pass 0)</param>
         /// <returns>the XML document, or NULL on error</returns>
-        [DllImport("libvirt-0.dll")]
-        [return: MarshalAs(UnmanagedType.AnsiBStr)]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
+        [return: MarshalAs(UnmanagedType.CustomMarshaler, MarshalTypeRef = typeof(StringWithoutNativeCleanUpMarshaler))]
         public static extern string virNodeDeviceGetXMLDesc(IntPtr dev, uint flags);
 
         // TODO virNodeDeviceListCaps
@@ -1128,7 +1140,7 @@ namespace LibvirtBindings
         /// <param name="conn">pointer to the hypervisor connection</param>
         /// <param name="name">unique device name</param>
         /// <returns>a virNodeDevicePtr if found, NULL otherwise.</returns>
-        [DllImport("libvirt-0.dll")]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
         public static extern IntPtr virNodeDeviceLookupByName(IntPtr conn, string name);
         // TODO virNodeDeviceNumOfCaps
 
@@ -1141,7 +1153,7 @@ namespace LibvirtBindings
         // TODO virNodeGetCellsFreeMemory
 
         /// <summary>
-        /// Provides the free memory available on the Node Note: most libvirt APIs provide memory sizes in kilobytes,
+        /// Provides the free memory available on the Node Note: most libvirt APIs provide memory sizes in kilobytes, 
         /// but in this function the returned value is in bytes. Divide by 1024 as necessary.
         /// </summary>
         /// <param name="conn">
@@ -1150,7 +1162,7 @@ namespace LibvirtBindings
         /// <returns>
         /// The available free memory in bytes or 0 in case of error.
         /// </returns>
-        [DllImport("libvirt-0.dll")]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
         public static extern ulong virNodeGetFreeMemory(IntPtr conn);
         /// <summary>
         /// Extract hardware information about the node.
@@ -1164,7 +1176,7 @@ namespace LibvirtBindings
         /// <returns>
         /// 0 in case of success and -1 in case of failure.
         /// </returns>
-        [DllImport("libvirt-0.dll")]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
         public static extern int virNodeGetInfo(IntPtr h, [Out] virNodeInfo info);
 
         // TODO virNodeGetSecurityModel
@@ -1191,7 +1203,7 @@ namespace LibvirtBindings
         /// <returns>
         /// The number of node devices found or -1 in case of error.
         /// </returns>
-        [DllImport("libvirt-0.dll")]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
         public static extern int virNodeListDevices(IntPtr conn, string cap, IntPtr names, int maxnames, uint flags);
         /// <summary>
         /// Collect the list of node devices, and store their names in @names.
@@ -1225,7 +1237,7 @@ namespace LibvirtBindings
             return count;
         }
         /// <summary>
-        /// Provides the number of node devices. If the optional 'cap' argument is non-NULL,
+        /// Provides the number of node devices. If the optional 'cap' argument is non-NULL, 
         /// then the count will be restricted to devices with the specified capability.
         /// </summary>
         /// <param name="conn">
@@ -1240,7 +1252,7 @@ namespace LibvirtBindings
         /// <returns>
         /// The number of node devices or -1 in case of error.
         /// </returns>
-        [DllImport("libvirt-0.dll")]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
         public static extern int virNodeNumOfDevices(IntPtr conn, string cap, uint flags);
         #endregion
 
@@ -1291,7 +1303,7 @@ namespace LibvirtBindings
         /// <returns>
         /// 0 on success, or -1 upon failure
         /// </returns>
-        [DllImport("libvirt-0.dll")]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
         public static extern int virStoragePoolBuild(IntPtr pool, virStoragePoolBuildFlags flags);
 
         /// <summary>
@@ -1306,11 +1318,11 @@ namespace LibvirtBindings
         /// <returns>
         /// 0 on success, or -1 if it could not be started.
         /// </returns>
-        [DllImport("libvirt-0.dll")]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
         public static extern int virStoragePoolCreate(IntPtr pool, uint flags);
 
         /// <summary>
-        /// Create a new storage based on its XML description. The pool is not persistent,
+        /// Create a new storage based on its XML description. The pool is not persistent, 
         /// so its definition will disappear when it is destroyed, or if the host is restarted
         /// </summary>
         /// <param name="conn">
@@ -1325,11 +1337,11 @@ namespace LibvirtBindings
         /// <returns>
         /// A virStoragePoolPtr object, or NULL if creation failed.
         /// </returns>
-        [DllImport("libvirt-0.dll")]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
         public static extern IntPtr virStoragePoolCreateXML(IntPtr conn, string xmlDesc, uint flags);
 
         /// <summary>
-        /// Define a new inactive storage pool based on its XML description. The pool is persistent,
+        /// Define a new inactive storage pool based on its XML description. The pool is persistent, 
         /// until explicitly undefined.
         /// </summary>
         /// <param name="conn">
@@ -1344,7 +1356,7 @@ namespace LibvirtBindings
         /// <returns>
         /// A virStoragePoolPtr object, or NULL if creation failed.
         /// </returns>
-        [DllImport("libvirt-0.dll")]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
         public static extern IntPtr virStoragePoolDefineXML(IntPtr conn, string xml, uint flags);
 
         /// <summary>
@@ -1359,13 +1371,13 @@ namespace LibvirtBindings
         /// <returns>
         /// 0 on success, or -1 if it could not be obliterate.
         /// </returns>
-        [DllImport("libvirt-0.dll")]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
         public static extern int virStoragePoolDelete(IntPtr pool, virStoragePoolDeleteFlags flags);
 
         /// <summary>
-        /// Destroy an active storage pool. This will deactivate the pool on the host,
-        /// but keep any persistent config associated with it.
-        /// If it has a persistent config it can later be restarted with virStoragePoolCreate().
+        /// Destroy an active storage pool. This will deactivate the pool on the host, 
+        /// but keep any persistent config associated with it. 
+        /// If it has a persistent config it can later be restarted with virStoragePoolCreate(). 
         /// This does not free the associated virStoragePoolPtr object.
         /// </summary>
         /// <param name="pool">
@@ -1374,7 +1386,7 @@ namespace LibvirtBindings
         /// <returns>
         /// 0 on success, or -1 if it could not be destroyed.
         /// </returns>
-        [DllImport("libvirt-0.dll")]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
         public static extern int virStoragePoolDestroy(IntPtr pool);
 
         /// <summary>
@@ -1386,7 +1398,7 @@ namespace LibvirtBindings
         /// <returns>
         /// 0 on success, or -1 if it could not be free'd.
         /// </returns>
-        [DllImport("libvirt-0.dll")]
+        [DllImport(LibvirtDllImportName, CallingConvention=CallingConvention.Cdecl)]
         public static extern int virStoragePoolFree(IntPtr pool);
 
         /// <summary>
